<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.9.1"/>
<title>Flair: cvmatrix.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="logo_hds.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">Flair
   </div>
   <div id="projectbrief">Framework Libre Air</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.9.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('cvmatrix_8h_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">cvmatrix.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="cvmatrix_8h.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">// %flair:license{</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">// This file is part of the Flair framework distributed under the</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">// CECILL-C License, Version 1.0.</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment">// %flair:license}</span></div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"></span><span class="preprocessor">#ifndef CVMATRIX_H</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="preprocessor">#define CVMATRIX_H</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;</div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="io__data_8h.html">io_data.h</a>&gt;</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="_i_o_data_element_8h.html">IODataElement.h</a>&gt;</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;<a class="code" href="cvmatrix__descriptor_8h.html">cvmatrix_descriptor.h</a>&gt;</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;</div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="keyword">class </span>cvmatrix_impl;</div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="keyword">struct </span>CvMat;</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="keyword">namespace </span><a class="code" href="namespaceflair.html">flair</a> {</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160;<span class="keyword">namespace </span>core {</div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;</div>
<div class="line"><a name="l00033"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1cvmatrix.html">   33</a></span>&#160;<span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1cvmatrix.html">cvmatrix</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1io__data.html">io_data</a> {</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;<span class="keyword">public</span>:</div>
<div class="line"><a name="l00035"></a><span class="lineno"><a class="line" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">   35</a></span>&#160;  <span class="keyword">class </span><a class="code" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">Type</a> : <span class="keyword">public</span> <a class="code" href="classflair_1_1core_1_1_data_type.html">DataType</a> {</div>
<div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;    <a class="code" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">Type</a>(<span class="keywordtype">size_t</span> _nbRows, <span class="keywordtype">size_t</span> _nbCols, <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;_elementDataType)</div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;        : nbRows(_nbRows), nbCols(_nbCols), elementDataType(_elementDataType) {}</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordtype">size_t</span> GetSize()<span class="keyword"> const </span>{</div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;      <span class="keywordflow">return</span> nbRows * nbCols * elementDataType.GetSize();</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    }</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    std::string GetDescription()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> <span class="stringliteral">&quot;matrix&quot;</span>; }</div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    <span class="keywordtype">size_t</span> GetNbRows()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> nbRows; }</div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    <span class="keywordtype">size_t</span> GetNbCols()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> nbCols; }</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;GetElementDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> elementDataType; }</div>
<div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;  <span class="keyword">private</span>:</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;    <span class="keywordtype">size_t</span> nbRows, nbCols;</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;    <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;elementDataType;</div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;  };</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;</div>
<div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvmatrix.html#a4768e402933d6b3f48c86643587218c5">cvmatrix</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, <span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1cvmatrix__descriptor.html">cvmatrix_descriptor</a> *descriptor,</div>
<div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;           <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;elementDataType, std::string name = <span class="stringliteral">&quot;&quot;</span>,</div>
<div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;           uint32_t n = 1);</div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;</div>
<div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvmatrix.html#a4768e402933d6b3f48c86643587218c5">cvmatrix</a>(<span class="keyword">const</span> <a class="code" href="classflair_1_1core_1_1_object.html">Object</a> *parent, uint32_t rows, uint32_t cols,</div>
<div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;           <a class="code" href="classflair_1_1core_1_1_scalar_type.html">ScalarType</a> <span class="keyword">const</span> &amp;elementDataType, std::string name = <span class="stringliteral">&quot;&quot;</span>,</div>
<div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;           uint32_t n = 1);</div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;</div>
<div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvmatrix.html#adfd2ab692ce77583a1c6983aa50e6645">~cvmatrix</a>();</div>
<div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;</div>
<div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1cvmatrix.html#aa3a8b1722e62c8929a6533ec4afb9f2e">Value</a>(uint32_t row, uint32_t col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;</div>
<div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;  <span class="keywordtype">float</span> <a class="code" href="classflair_1_1core_1_1cvmatrix.html#a34cd5a24e2271922c7c0f2c5da37a445">ValueNoMutex</a>(uint32_t row, uint32_t col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;</div>
<div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1cvmatrix.html#a08f2ff150e752e735ac17c1717b5b88e">SetValue</a>(uint32_t row, uint32_t col, <span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;</div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;  <span class="keywordtype">void</span> <a class="code" href="classflair_1_1core_1_1cvmatrix.html#ae19ee71a4ac6a6e491417759fc8d4e9e">SetValueNoMutex</a>(uint32_t row, uint32_t col, <span class="keywordtype">float</span> value);</div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;</div>
<div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;  CvMat *<a class="code" href="classflair_1_1core_1_1cvmatrix.html#aa08e4d9c913df9c4be093b8b83705e2a">getCvMat</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;</div>
<div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;  std::string <a class="code" href="classflair_1_1core_1_1cvmatrix.html#ad88bdfce269471f3e39cf8dce9a682be">Name</a>(uint32_t row, uint32_t col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;</div>
<div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d">Element</a>(uint32_t row, uint32_t col) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;</div>
<div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;  <a class="code" href="classflair_1_1core_1_1_i_o_data_element.html">IODataElement</a> *<a class="code" href="classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d">Element</a>(uint32_t index) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div>
<div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;  uint32_t <a class="code" href="classflair_1_1core_1_1cvmatrix.html#a4a1e997443651c5a6f24fad7ca322311">Rows</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div>
<div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;  uint32_t <a class="code" href="classflair_1_1core_1_1cvmatrix.html#a66f244158d65f5cbfe4fd3cbb2452fa9">Cols</a>(<span class="keywordtype">void</span>) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;</div>
<div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;  <a class="code" href="classflair_1_1core_1_1cvmatrix_1_1_type.html">Type</a> <span class="keyword">const</span> &amp;GetDataType()<span class="keyword"> const </span>{ <span class="keywordflow">return</span> dataType; };</div>
<div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div>
<div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;<span class="keyword">private</span>:</div>
<div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;  <span class="keywordtype">void</span> CopyDatas(<span class="keywordtype">char</span> *dst) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;</div>
<div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;  <span class="keyword">class </span>cvmatrix_impl *pimpl_;</div>
<div class="line"><a name="l00218"></a><span class="lineno">  218</span>&#160;  Type dataType;</div>
<div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;};</div>
<div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;</div>
<div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;} <span class="comment">// end namespace core</span></div>
<div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;} <span class="comment">// end namespace flair</span></div>
<div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;</div>
<div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;<span class="preprocessor">#endif // CVMATRIX_H</span></div>
<div class="ttc" id="classflair_1_1core_1_1io__data_html"><div class="ttname"><a href="classflair_1_1core_1_1io__data.html">flair::core::io_data</a></div><div class="ttdoc">Abstract class for data types. </div><div class="ttdef"><b>Definition:</b> io_data.h:94</div></div>
<div class="ttc" id="classflair_1_1core_1_1_data_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_data_type.html">flair::core::DataType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:26</div></div>
<div class="ttc" id="classflair_1_1core_1_1_object_html"><div class="ttname"><a href="classflair_1_1core_1_1_object.html">flair::core::Object</a></div><div class="ttdoc">Base class for all Framework&#39;s classes. </div><div class="ttdef"><b>Definition:</b> Object.h:83</div></div>
<div class="ttc" id="namespaceflair_html"><div class="ttname"><a href="namespaceflair.html">flair</a></div><div class="ttdoc">namespace of the flair Framework </div><div class="ttdef"><b>Definition:</b> Ahrs.h:19</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html">flair::core::cvmatrix</a></div><div class="ttdoc">Class defining a matrix of kind CvMat. </div><div class="ttdef"><b>Definition:</b> cvmatrix.h:33</div></div>
<div class="ttc" id="io__data_8h_html"><div class="ttname"><a href="io__data_8h.html">io_data.h</a></div><div class="ttdoc">Abstract class for data types. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix__descriptor_html"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix__descriptor.html">flair::core::cvmatrix_descriptor</a></div><div class="ttdoc">Class describing cvmatrix elements, for log and graphs purpose. </div><div class="ttdef"><b>Definition:</b> cvmatrix_descriptor.h:28</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_a34cd5a24e2271922c7c0f2c5da37a445"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#a34cd5a24e2271922c7c0f2c5da37a445">flair::core::cvmatrix::ValueNoMutex</a></div><div class="ttdeci">float ValueNoMutex(uint32_t row, uint32_t col) const </div><div class="ttdoc">Element value. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_ae19ee71a4ac6a6e491417759fc8d4e9e"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#ae19ee71a4ac6a6e491417759fc8d4e9e">flair::core::cvmatrix::SetValueNoMutex</a></div><div class="ttdeci">void SetValueNoMutex(uint32_t row, uint32_t col, float value)</div><div class="ttdoc">Set element value. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_a08f2ff150e752e735ac17c1717b5b88e"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#a08f2ff150e752e735ac17c1717b5b88e">flair::core::cvmatrix::SetValue</a></div><div class="ttdeci">void SetValue(uint32_t row, uint32_t col, float value)</div><div class="ttdoc">Set element value. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_a4a1e997443651c5a6f24fad7ca322311"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#a4a1e997443651c5a6f24fad7ca322311">flair::core::cvmatrix::Rows</a></div><div class="ttdeci">uint32_t Rows(void) const </div><div class="ttdoc">Number of rows. </div></div>
<div class="ttc" id="_i_o_data_element_8h_html"><div class="ttname"><a href="_i_o_data_element_8h.html">IODataElement.h</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_a4768e402933d6b3f48c86643587218c5"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#a4768e402933d6b3f48c86643587218c5">flair::core::cvmatrix::cvmatrix</a></div><div class="ttdeci">cvmatrix(const Object *parent, const cvmatrix_descriptor *descriptor, ScalarType const &amp;elementDataType, std::string name=&quot;&quot;, uint32_t n=1)</div><div class="ttdoc">Constructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_adfd2ab692ce77583a1c6983aa50e6645"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#adfd2ab692ce77583a1c6983aa50e6645">flair::core::cvmatrix::~cvmatrix</a></div><div class="ttdeci">~cvmatrix()</div><div class="ttdoc">Destructor. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_scalar_type_html"><div class="ttname"><a href="classflair_1_1core_1_1_scalar_type.html">flair::core::ScalarType</a></div><div class="ttdef"><b>Definition:</b> io_data.h:40</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_1_1_type_html"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix_1_1_type.html">flair::core::cvmatrix::Type</a></div><div class="ttdef"><b>Definition:</b> cvmatrix.h:35</div></div>
<div class="ttc" id="cvmatrix__descriptor_8h_html"><div class="ttname"><a href="cvmatrix__descriptor_8h.html">cvmatrix_descriptor.h</a></div><div class="ttdoc">Class describing cvmatrix elements, for log and graphs purpose. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_ad88bdfce269471f3e39cf8dce9a682be"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#ad88bdfce269471f3e39cf8dce9a682be">flair::core::cvmatrix::Name</a></div><div class="ttdeci">std::string Name(uint32_t row, uint32_t col) const </div><div class="ttdoc">Element name. </div></div>
<div class="ttc" id="classflair_1_1core_1_1_i_o_data_element_html"><div class="ttname"><a href="classflair_1_1core_1_1_i_o_data_element.html">flair::core::IODataElement</a></div><div class="ttdoc">Abstract class for accessing an element of an io_data. </div><div class="ttdef"><b>Definition:</b> IODataElement.h:27</div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_a86646b6cf63734fc417414031374819d"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#a86646b6cf63734fc417414031374819d">flair::core::cvmatrix::Element</a></div><div class="ttdeci">IODataElement * Element(uint32_t row, uint32_t col) const </div><div class="ttdoc">Element. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_a66f244158d65f5cbfe4fd3cbb2452fa9"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#a66f244158d65f5cbfe4fd3cbb2452fa9">flair::core::cvmatrix::Cols</a></div><div class="ttdeci">uint32_t Cols(void) const </div><div class="ttdoc">Number of colomns. </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_aa08e4d9c913df9c4be093b8b83705e2a"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#aa08e4d9c913df9c4be093b8b83705e2a">flair::core::cvmatrix::getCvMat</a></div><div class="ttdeci">CvMat * getCvMat(void) const </div><div class="ttdoc">get CvMat </div></div>
<div class="ttc" id="classflair_1_1core_1_1cvmatrix_html_aa3a8b1722e62c8929a6533ec4afb9f2e"><div class="ttname"><a href="classflair_1_1core_1_1cvmatrix.html#aa3a8b1722e62c8929a6533ec4afb9f2e">flair::core::cvmatrix::Value</a></div><div class="ttdeci">float Value(uint32_t row, uint32_t col) const </div><div class="ttdoc">Element value. </div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_33c2ee9b1665499374b4225c427cf176.html">igep</a></li><li class="navelem"><a class="el" href="dir_f1fe274389177bd7e17de7949c4ffada.html">flair-src</a></li><li class="navelem"><a class="el" href="dir_3ef62148cf94871b4b6ee5d6e3a989c1.html">lib</a></li><li class="navelem"><a class="el" href="dir_97265977dbbd48c696782ccac102bad5.html">FlairCore</a></li><li class="navelem"><a class="el" href="dir_6c198461db290ac9abcdd44184573216.html">src</a></li><li class="navelem"><a class="el" href="cvmatrix_8h.html">cvmatrix.h</a></li>
    <li class="footer">Generated on Thu Jan 31 2019 12:34:23 for Flair by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.9.1 </li>
  </ul>
</div>
</body>
</html>
